Loading...
Searching...
No Matches
ChartDialog Class Reference

The ChartDialog class provides a dialog window for displaying a chart via ChartWidget. More...

`#include <chartdialog.h>`

Inheritance diagram for ChartDialog:

## Public Member Functions

| ChartDialog (QWidget *p=nullptr)
ChartWidget * | chartWidget ()
QSize | sizeHint () const override
QSize | minimumSizeHint () const override

## Detailed Description

If you wish to have more control over the chart, use ChartWidget directly in your dialog.

## Member Function Documentation

## sizeHint()

QSize sizeHint | ( |  | ) | const

override

Returns
  the current size hint for the dialog

## minimumSizeHint()

QSize minimumSizeHint | ( |  | ) | const

override

Returns
  the minimum size for the dialog

The documentation for this class was generated from the following file:

- chartdialog.h